package com.microservices.wiki.mapper.projects;


import com.microservices.wiki.domain.projects.Projects;
import org.apache.ibatis.annotations.Param;


public interface ProjectsMapper {

    int deleteByPrimaryKey(Integer id);

    int updateByPrimaryKey(Projects record);

    Projects getProjectById(@Param("projectId")Integer projectId);

    Projects getProjectByLoginAndIdentifier(@Param("login") String login,@Param("identifier") String identifier,@Param("identifier1") String identifier1);
}